Package org.gradle.nativeplatform.plugins

# Class NativeComponentPlugin

java.lang.Object
org.gradle.nativeplatform.plugins.NativeComponentPlugin

All Implemented Interfaces:
  `Plugin<Project>`

@Incubating public abstract class NativeComponentPlugin extends Object implements Plugin<Project>
A plugin that creates tasks used for constructing native binaries.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NativeComponentPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.
  `protected abstract NativeToolChainRegistry`
  `getToolChains()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NativeComponentPlugin

    public NativeComponentPlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object

  - ### getToolChains

    @Inject protected abstract NativeToolChainRegistry getToolChains()